Activity log for bug #81057

Date Who What changed Old value New value Message
2007-01-23 00:23:13 Mac bug added bug
2007-01-23 00:38:32 Mac description Heaps of people all over the net are having issues with certain models of router sending back 1.0.0.0 for any DNS request. (Not only on Ubuntu) Usual answers include (that actually work) - Set DNS in the router manually - Set DNS in the computer manually (and lock/stop changing of resolv.conf) also - Disabling ipv6. (not proven to work) These solutions are not actually solutions at all, they are workarounds, I'm unable to find a fix for it that does not involve setting manual DNS in the PC or router, but without this I can't use Ubuntu for my clients !!! In my situation I have a standard build that needs to go worldwide with no editing or setting of manual DNS in the PC. (This also means that I can't access a clients ADSL modem to put the DNS settings in there). Windows machines work fine. It may be something about the router purporting to be a DNS Server when actually it's a DNS Forwarder? On some of the routers, installing later firmware fixes it. (But not always). Using Windows always fixes it! Why can't we do whatever windows does and have it "just work". Do a google search for Ubuntu 1.0.0.0 and you'll see how many times this issue is happening ! (One forum suggested it could it be an MTU too high / iptables issue?) This bug may be what people are meaning in Launchpad Bug #'s 24818 and 23183 Heaps of people all over the net are having issues with certain models of router sending back 1.0.0.0 for any DNS request. (Not only on Ubuntu) Usual answers include (that actually work) - Set DNS in the router manually - Set DNS in the computer manually (and lock/stop changing of resolv.conf) also - Disabling ipv6. (not proven to work) These solutions are not actually solutions at all, they are workarounds, I'm unable to find a fix for it that does not involve setting manual DNS in the PC or router, but without this I can't use Ubuntu for my clients !!! In my situation I have a standard build that needs to go worldwide with no editing or setting of manual DNS in the PC. (This also means that I can't access a clients ADSL modem to put the DNS settings in there). Windows machines work fine. It may be something about the router purporting to be a DNS Server when actually it's a DNS Forwarder? On some of the routers, installing later firmware fixes it. (But not always). Using Windows always fixes it! Why can't we do whatever windows does and have it "just work". Do a google search for Ubuntu 1.0.0.0 and you'll see how many times this issue is happening ! (One forum suggested it could it be an MTU too high / iptables issue?) This bug may be what people are meaning in Launchpad Bug #'s 24818 and 23183, but it was not explained in enough detail.
2007-01-23 00:41:19 Mac description Heaps of people all over the net are having issues with certain models of router sending back 1.0.0.0 for any DNS request. (Not only on Ubuntu) Usual answers include (that actually work) - Set DNS in the router manually - Set DNS in the computer manually (and lock/stop changing of resolv.conf) also - Disabling ipv6. (not proven to work) These solutions are not actually solutions at all, they are workarounds, I'm unable to find a fix for it that does not involve setting manual DNS in the PC or router, but without this I can't use Ubuntu for my clients !!! In my situation I have a standard build that needs to go worldwide with no editing or setting of manual DNS in the PC. (This also means that I can't access a clients ADSL modem to put the DNS settings in there). Windows machines work fine. It may be something about the router purporting to be a DNS Server when actually it's a DNS Forwarder? On some of the routers, installing later firmware fixes it. (But not always). Using Windows always fixes it! Why can't we do whatever windows does and have it "just work". Do a google search for Ubuntu 1.0.0.0 and you'll see how many times this issue is happening ! (One forum suggested it could it be an MTU too high / iptables issue?) This bug may be what people are meaning in Launchpad Bug #'s 24818 and 23183, but it was not explained in enough detail. Heaps of people all over the net are having issues with certain models of router sending back 1.0.0.0 for any DNS request. (Not only on Ubuntu) *** wget www.google.com ---13:43:44-- http://www.google.com/ => `index.html.2' Resolving www.google.com... 1.0.0.0 Connecting to www.google.com|1.0.0.0|:80... **** Usual answers include (that actually work) - Set DNS in the router manually - Set DNS in the computer manually (and lock/stop changing of resolv.conf) also - Disabling ipv6. (not proven to work) These solutions are not actually solutions at all, they are workarounds, I'm unable to find a fix for it that does not involve setting manual DNS in the PC or router, but without this I can't use Ubuntu for my clients !!! In my situation I have a standard build that needs to go worldwide with no editing or setting of manual DNS in the PC. (This also means that I can't access a clients ADSL modem to put the DNS settings in there). Windows machines work fine. It may be something about the router purporting to be a DNS Server when actually it's a DNS Forwarder? On some of the routers, installing later firmware fixes it. (But not always). Using Windows always fixes it! Why can't we do whatever windows does and have it "just work". Do a google search for Ubuntu 1.0.0.0 and you'll see how many times this issue is happening ! (One forum suggested it could it be an MTU too high / iptables issue?) This bug may be what people are meaning in Launchpad Bug #'s 24818 and 23183, but it was not explained in enough detail.
2007-01-23 10:11:06 didier None: status Unconfirmed In Progress
2007-01-23 10:11:06 didier None: assignee did447
2007-01-23 10:11:06 didier None: statusexplanation The problem could be that even with ipv6 disabled many softwares still request AAAA records, you can double check with tcpdump or wireshark: apt-get source xxx DNS AAAA archive.ubuntu.com firefox http://google.com DNS A google.com cf bug: 80571
2007-01-23 10:12:01 didier None: status In Progress Needs Info
2007-01-23 10:12:01 didier None: statusexplanation The problem could be that even with ipv6 disabled many softwares still request AAAA records, you can double check with tcpdump or wireshark: apt-get source xxx DNS AAAA archive.ubuntu.com firefox http://google.com DNS A google.com cf bug: 80571
2008-01-02 22:44:44 Brian Murray None: assignee did447 brian-murray
2008-01-07 21:38:13 Brian Murray None: status Incomplete Fix Released
2009-11-01 11:31:33 Dmitry Kirzhanov glibc (Ubuntu): status Fix Released New
2009-11-10 20:04:41 Brian Murray glibc (Ubuntu): status New Fix Released
2009-11-10 20:04:41 Brian Murray glibc (Ubuntu): assignee Brian Murray (brian-murray)
2010-01-25 13:01:54 thqmas glibc (Ubuntu): assignee thqmas (thqmas)
2010-11-28 13:14:50 Dmitry Kirzhanov removed subscriber Dmitry Kirzhanov